using System;
using System.Collections.Generic;
using System.Linq;

public class Match
{
    public string ID { get; set; }
    public DateTime Time { get; set; }
    public string MatchName { get; set; }
    public string Team1Logo { get; set; }
    public string Team2Logo { get; set; }
    public string Venue { get; set; }
    public string Referee { get; set; }
    public string AssistingReferee1 { get; set; }
    public string AssistingReferee2 { get; set; }
    public string VenueLatitude { get; set; }
    public string VenueLongitude { get; set; }
    public List<Player> Team1Players { get; set; }
    public List<Player> Team2Players { get; set; }
    public List<Player> Team1SecondaryPlayers { get; set; }
    public List<Player> Team2SecondaryPlayers { get; set; }
}